config/show
GET
/config/showFetch a published config version, draft, or the live config. Requires the configuration:read permission.
Request
cURL
curl -X GET "https://provisioning.cloudx.io/api/v1/config/show" \
-H "Authorization: Bearer $CLOUDX_API_KEY"Query parameters
| Name | Type | Description |
|---|---|---|
id | string | Configuration row ID. Can address a published version or draft. |
version | integer<int32> | Published configuration version number. |
draft | boolean | Whether to return the account draft. If multiple drafts exist, use id instead. |
Responses
Config data and metadata.
{
"id": "<string>",
"account_id": "<string>",
"kind": "live",
"version_number": 123,
"version_label": "<string>",
"created_at": "<string>",
"created_by_user_id": "<string>",
"created_by_name": "<string>",
"yaml": "<string>",
"data": {}
}200 Config data and metadata.
| Field | Type | Description |
|---|---|---|
idrequired | string | |
account_idrequired | string | |
kindrequired | string | |
version_number | integer<int32> | |
version_label | string | |
created_atrequired | string | |
created_by_user_id | string | |
created_by_name | string | |
yamlrequired | string | |
datarequired | object |
400 Invalid request parameters.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
401 Unauthorized.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
403 Forbidden.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
404 Config not found.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
500 Internal server error.
| Field | Type | Description |
|---|---|---|
errorrequired | string |